<?php

namespace LinkFiliate\Core;

if (! defined('ABSPATH')) {
	exit;
}


use LinkFiliate\App\Traits\Singleton;
use LinkFiliate\Libs\API\Config;

/**
 * Class API
 *
 * Initializes and configures the API for the LinkFiliate.
 *
 * @package LinkFiliate\Core
 */
class API
{

	use Singleton;

	/**
	 * Initializes the API for the LinkFiliate.
	 *
	 * @return void
	 */
	public function init()
	{
		Config::set_route_file(LINKFILIATE_PLUGIN_DIR . '/inc/Routes/Api.php')
			->set_namespace('LinkFiliate\Api')
			->init();
	}
}
